FROM registry.gitlab.com/sat-polsl/gcs/gcs-gcc-builder:latest as builder

COPY . /app
WORKDIR /app

RUN mkdir build \
    && cd build \
    && cmake -G Ninja .. \
    && ninja gcs-rotator

FROM alpine:3.18 as runtime

RUN apk update \
    && apk add --no-cache \
       libstdc++ gnutls libsodium

COPY --from=builder /app/build/exec/gcs-rotator /usr/bin/gcs-rotator
COPY docker-entrypoint.sh /

CMD ["/docker-entrypoint.sh"]
